summaryrefslogtreecommitdiffstats
path: root/testing/source/grub/update-grub
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/grub/update-grub')
-rw-r--r--testing/source/grub/update-grub10
1 files changed, 10 insertions, 0 deletions
diff --git a/testing/source/grub/update-grub b/testing/source/grub/update-grub
new file mode 100644
index 000000000..fef55d9b8
--- /dev/null
+++ b/testing/source/grub/update-grub
@@ -0,0 +1,10 @@
+#!/bin/sh
+# This is a simple script to update grub from the configuration file.
+# Please note that after upgrading to a new grub version, you should
+# first use "grub-install" to reinstall the bootloader, similar to this:
+# grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id=GRUB --recheck
+# or this:
+# grub-install --target=i386-pc --recheck /dev/sdX
+
+set -e
+exec grub-mkconfig -o /boot/grub/grub.cfg "$@"